#!/usr/bin/env kjscmd

var dcop = new DCOPClient(this);
var box = new QHBox(this);
var go = new KPushButton(box);
var loc = new KLineEdit(box);

go.pixmap = StdIcons.DesktopIcon("go",32);
go.connect(go, "clicked()", this, "getWeather");

dcop.attach();
box.show();

function getWeather()
{
	if ( dcop.isAttached() )
	{
		var icn = new Image(this);
		icn.pixmap = dcop.call("KWeatherService","WeatherService","icon(QString)", loc.text);
		icn.smoothScale(32,32);
		go.pixmap = icn.pixmap;
	}
}

application.exec();
